import { ProductSchema } from '@byondrnd/showroom-schemas';
import { THREE } from '@byondrnd/byond-web-lib';
import { Visualizer } from '../../../Visualizer';
import { ISceneSettings } from '../../../EventSystem/EventTypes';
export declare function setProductOnMesh(visualizer: Visualizer, mesh: THREE.Mesh, product: ProductSchema.IProduct): Promise<void>;
export declare function displayOnMesh(visualizer: Visualizer, rootModel: THREE.Object3D, product: ProductSchema.IProduct, meshName: string, sceneSettings: ISceneSettings): Promise<void>;
export declare function setSceneVisible(rootModel: THREE.Object3D): void;
